package com.neusoft.smart.pos.exchangeStrategy.persistent.mapper;

import com.neusoft.smart.pos.exchangeStrategy.persistent.domain.ExchangeStrategyTypeDict;
import com.neusoft.smart.pos.exchangeStrategy.persistent.domain.ExchangeStrategyTypeDictExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ExchangeStrategyTypeDictMapper {
    int countByExample(ExchangeStrategyTypeDictExample example);

    int deleteByExample(ExchangeStrategyTypeDictExample example);

    int deleteByPrimaryKey(Integer strategyTypeId);

    int insert(ExchangeStrategyTypeDict record);

    int insertSelective(ExchangeStrategyTypeDict record);

    List<ExchangeStrategyTypeDict> selectByExample(ExchangeStrategyTypeDictExample example);

    ExchangeStrategyTypeDict selectByPrimaryKey(Integer strategyTypeId);

    int updateByExampleSelective(@Param("record") ExchangeStrategyTypeDict record, @Param("example") ExchangeStrategyTypeDictExample example);

    int updateByExample(@Param("record") ExchangeStrategyTypeDict record, @Param("example") ExchangeStrategyTypeDictExample example);

    int updateByPrimaryKeySelective(ExchangeStrategyTypeDict record);

    int updateByPrimaryKey(ExchangeStrategyTypeDict record);

    void batchInsert(@Param("items") List<ExchangeStrategyTypeDict> items);
}